ECCCMSSharedInfo (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.cms.ecc

## Class ECCCMSSharedInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.ecc.ECCCMSSharedInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ECCCMSSharedInfo
      extends ASN1Object

           ECC-CMS-SharedInfo ::= SEQUENCE {
              keyInfo AlgorithmIdentifier,
              entityUInfo [0] EXPLICIT OCTET STRING OPTIONAL,
              suppPubInfo [2] EXPLICIT OCTET STRING   }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECCCMSSharedInfo(AlgorithmIdentifier keyInfo, byte[] suppPubInfo)`
    `ECCCMSSharedInfo(AlgorithmIdentifier keyInfo, byte[] entityUInfo, byte[] suppPubInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ECCCMSSharedInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return an ECC-CMS-SharedInfo object from a tagged object.
    `static ECCCMSSharedInfo` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECCCMSSharedInfo

          public ECCCMSSharedInfo(AlgorithmIdentifier keyInfo,
                          byte[] entityUInfo,
                          byte[] suppPubInfo)

    - #### ECCCMSSharedInfo

          public ECCCMSSharedInfo(AlgorithmIdentifier keyInfo,
                          byte[] suppPubInfo)

  - ### Method Detail

    - #### getInstance

          public static ECCCMSSharedInfo getInstance(ASN1TaggedObject obj,
                                     boolean explicit)

      Return an ECC-CMS-SharedInfo object from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want.
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Throws:
        `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

    - #### getInstance

          public static ECCCMSSharedInfo getInstance(java.lang.Object obj)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.